<?php


namespace Tool\Bean\Pay;


use Tool\Bean\BaseBean;

class GetCodePayUrlParamBean extends BaseBean
{
    /**
     * appkey
     * @var string $appKey
     */
    private $appKey;

    /**
     * secret
     * @var string $appSecret
     */
    private $appSecret;

    /**
     * 订单支付金额
     * @var int $orderPrice
     */
    private $orderPrice;

    /**
     * 第三方关联订单号
     * @var string $relationOrderNumber
     */
    private $relationOrderNumber;

    /**
     * 支付类型(1微信2支付宝)
     * @var int $payType
     */
    private $payType;

    /**
     * @return string
     */
    public function getAppKey(): string
    {
        return $this->appKey;
    }

    /**
     * @param string $appKey
     */
    public function setAppKey(string $appKey)
    {
        $this->appKey = $appKey;
    }

    /**
     * @return string
     */
    public function getAppSecret(): string
    {
        return $this->appSecret;
    }

    /**
     * @param string $appSecret
     */
    public function setAppSecret(string $appSecret)
    {
        $this->appSecret = $appSecret;
    }

    /**
     * @return int
     */
    public function getOrderPrice(): int
    {
        return $this->orderPrice;
    }

    /**
     * @param int $orderPrice
     */
    public function setOrderPrice(int $orderPrice)
    {
        $this->orderPrice = $orderPrice;
    }

    /**
     * @return string
     */
    public function getRelationOrderNumber(): string
    {
        return $this->relationOrderNumber;
    }

    /**
     * @param string $relationOrderNumber
     */
    public function setRelationOrderNumber(string $relationOrderNumber)
    {
        $this->relationOrderNumber = $relationOrderNumber;
    }

    /**
     * @return int
     */
    public function getPayType(): int
    {
        return $this->payType;
    }

    /**
     * @param int $payType
     */
    public function setPayType(int $payType)
    {
        $this->payType = $payType;
    }
}