<?php


namespace Tool\Bean\Pdd\Ddk;


use Tool\Bean\BaseBean;

class OrderListRangeGetParamBean extends BaseBean
{
    /**
     * 是否为礼金订单
     */
    private $cashGiftOrder;

    /**
     * 支付结束时间
     */
    private $endTime;

    /**
     * 上一次迭代器id
     */
    private $lastOrderId;

    /**
     * 每页数量
     */
    private $pageSize;

    /**
     * 订单类型(1推广订单2直播间订单)
     */
    private $queryOrderType;

    /**
     * 支付开始时间
     */
    private $startTime;

    /**
     * @return mixed
     */
    public function getCashGiftOrder()
    {
        return $this->cashGiftOrder;
    }

    /**
     * @param mixed $cashGiftOrder
     */
    public function setCashGiftOrder($cashGiftOrder)
    {
        $this->cashGiftOrder = $cashGiftOrder;
    }

    /**
     * @return mixed
     */
    public function getEndTime()
    {
        return $this->endTime;
    }

    /**
     * @param mixed $endTime
     */
    public function setEndTime($endTime)
    {
        $this->endTime = $endTime;
    }

    /**
     * @return mixed
     */
    public function getLastOrderId()
    {
        return $this->lastOrderId;
    }

    /**
     * @param mixed $lastOrderId
     */
    public function setLastOrderId($lastOrderId)
    {
        $this->lastOrderId = $lastOrderId;
    }

    /**
     * @return mixed
     */
    public function getPageSize()
    {
        return $this->pageSize;
    }

    /**
     * @param mixed $pageSize
     */
    public function setPageSize($pageSize)
    {
        $this->pageSize = $pageSize;
    }

    /**
     * @return mixed
     */
    public function getQueryOrderType()
    {
        return $this->queryOrderType;
    }

    /**
     * @param mixed $queryOrderType
     */
    public function setQueryOrderType($queryOrderType)
    {
        $this->queryOrderType = $queryOrderType;
    }

    /**
     * @return mixed
     */
    public function getStartTime()
    {
        return $this->startTime;
    }

    /**
     * @param mixed $startTime
     */
    public function setStartTime($startTime)
    {
        $this->startTime = $startTime;
    }
}